Certificado expirado do pacote do Mac

O certificado usado para assinar instaladores do Mac do Adobe Acrobat e Reader e para atualizar os pacotes expirou em 21 de fevereiro de 2017. Devido a esse certificado expirado, o macOS começou a sinalizar muitos dos instaladores e patches do Acrobat ou Reader como não assinado ou expirado.

Os seguintes instaladores e patches completos são afetados:

  • Pacotes do Acrobat DC Continuous anteriores à versão 15.016.20041
  • Pacotes do Acrobat Reader DC Continuous anteriores à versão 15.016.20039
  • Pacotes do Acrobat DC 2015 anteriores à versão 15.006.30173
  • Pacotes do Acrobat Reader DC 2015 anteriores à versão 15.006.30172
  • Pacotes do Acrobat e Reader XI anteriores à versão 11.0.17

Se você tentar instalar alguns dos pacotes afetados, a seguinte mensagem de aviso será exibida:

O certificado expirou para o pacote do instalador

Se você tenta instalar esses pacotes usando a linha de comando, o Mac OS bloqueia a instalação e a instalação falha.

Solução: baixe a versão ou o patch mais recente

Instaladores completos

Os instaladores completos mais recentes não são afetados por esse problema. Se você tiver um pacote de instalador completo do Acrobat/Reader que está exibindo um aviso, baixe a versão mais recente.

Os pacotes do instalador neste local foram atualizados e você não deve ter nenhum problema com a instalação dos pacotes mais recentes. 

Patches

Os últimos patches para todas as faixas não têm esse problema. A Adobe recomenda que você instale as últimas atualizações:

Observe que, para todos esses pacotes, você não verá que nenhum aviso e eles podem ser instalados sem apresentar problemas. Porém, se você buscar explicitamente a cadeia de certificados usada para assinar o pacote clicando no ícone "bloquear", o resultado mostrará que o certificado expirou, conforme mostrado aqui:

Mensagem de erro de certificado expirado

Entretanto, a assinatura do pacote é válida e o sistema operacional não bloqueia a instalação de nenhuma maneira, o que você pode verificar usando o comando pkgutil: 

pkgutil --check-signature <caminho do arquivo pkg >

A saída do terminal de amostra para o pacote 11.0.19 do Acrobat é mostrada abaixo, o que indica que o pacote é assinado por um certificado, confiado pelo sistema operacional: 

O comando pkgutil

Esta obra está licenciada sob uma licença não adaptada da Creative Commons Attribution-Noncommercial-Share Alike 3.0  As publicações do Twitter™ e do Facebook não são cobertas pelos termos do Creative Commons.

Avisos legais   |   Política de privacidade online